<?php

if ( !defined( 'FW' ) ) {
    die( 'Forbidden' );
}

$utouch_admin_images_path = UTOUCH_THEME_URI . '/images/admin';

$options = array(// phpcs:ignore WPThemeReview.CoreFunctionality.PrefixAllGlobals.NonPrefixedVariableFound
    'section_top_bar'       => array(
        'title'   => esc_html__( 'Top bar', 'utouch-lite' ),
        'options' => array(
            'sections-top-bar' => array(
                'type'         => 'multi-picker',
                'label'        => false,
                'desc'         => false,
                'value'        => array(
                    'status' => 'hide',
                    'show'   => array(
                        'theme-style' => 'top-bar-dark',
                    ),
                ),
                'picker'       => array(
                    'status' => array(
                        'type'         => 'switch',
                        'label'        => esc_html__( 'Top bar', 'utouch-lite' ),
                        'left-choice' => array(
	                        'value' => 'hide',
	                        'label' => esc_html__('Hide', 'utouch-lite'),
                        ),
                        'right-choice' => array(
	                        'value' => 'show',
	                        'label' => esc_html__('Show', 'utouch-lite'),
                        ),
                    ),
                ),
                'choices'      => array(
                    'show' => array(
                        'theme-style'     => array(
                            'type'    => 'select',
                            'label'   => esc_html__( 'Color scheme', 'utouch-lite' ),
                            'choices' => array(
                                ''             => esc_html__( 'White', 'utouch-lite' ),
                                'top-bar-dark' => esc_html__( 'Dark', 'utouch-lite' ),
                            ),
                        ),
                        'show-languages'  => array(
                            'type'    => 'multi-picker',
                            'label'   => false,
                            'desc'    => false,
                            'value'   => array(
                                'status' => 'hide',
                            ),
                            'picker'  => array(
                                'status' => array(
                                    'type'         => 'switch',
                                    'label'        => esc_html__( 'Languages selector', 'utouch-lite' ),
                                    'desc'         => esc_html__( 'Works only with translate plugin  ', 'utouch-lite' ),
                                    'left-choice'  => array(
                                        'value' => 'show',
                                        'label' => esc_html__( 'Show', 'utouch-lite' ),
                                    ),
                                    'right-choice' => array(
                                        'value' => 'hide',
                                        'label' => esc_html__( 'Hide', 'utouch-lite' ),
                                    ),
                                ),
                            ),
                            'choices' => array(
                                'show' => array(
                                    'language-select' => array(
                                        'type'    => 'multi-picker',
                                        'label'   => false,
                                        'desc'    => false,
                                        'value'   => array(
                                            'status' => 'theme-select',
                                        ),
                                        'picker'  => array(
                                            // '<custom-key>' => option
                                            'status' => array(
                                                'type'    => 'radio',
                                                'label'   => esc_html__( 'Use language switcher', 'utouch-lite' ),
                                                'choices' => array( // Note: Avoid bool or int keys
                                                    'theme-select'  => esc_html__( 'WPML or Polylang switcher', 'utouch-lite' ),
                                                    'plugin-select' => esc_html__( 'Other plugin shortcode', 'utouch-lite' ),
                                                ),
                                            ),
                                        ),
                                        'choices' => array(
                                            'plugin-select' => array(
                                                'shortcode' => array(
                                                    'type'  => 'text',
                                                    'label' => esc_html__( 'Provide plugin selector shortcode', 'utouch-lite' ),
                                                ),
                                            ),
                                        ),
                                    ),
                                ),
                            ),
                        ),
                        'info-boxes'      => array(
                            'type'            => 'addable-box',
                            'label'           => esc_html__( 'Text fields', 'utouch-lite' ),
                            'desc'            => esc_html__( 'Add you phone, email etc.', 'utouch-lite' ),
                            'value'           => array(
                                array(
                                    'info' => 'info@utouch.com',
                                ),
                            ),
                            'box-options'     => array(
                                'info' => array(
                                    'label' => esc_html__( 'Text', 'utouch-lite' ),
                                    'type'  => 'text'
                                ),
                            ),
                            'template'        => '{{- info  }}', // box title
                            'limit'           => 0, // limit the number of boxes that can be added
                            'add-button-text' => esc_html__( 'Add field', 'utouch-lite' ),
                            'sortable'        => true,
                        ),
                        'social-networks' => array(
                            'type'            => 'addable-box',
                            'label'           => esc_html__( 'Social networks', 'utouch-lite' ),
                            'value'           => array(
                                array(
                                    'link' => 'https://www.facebook.com/',
                                    'icon' => 'facebook.svg',
                                ),
                                array(
                                    'link' => 'https://www.youtube.com/',
                                    'icon' => 'youtube.svg',
                                ),
                                array(
                                    'link' => 'https://twitter.com',
                                    'icon' => 'twitter.svg',
                                ),
                            ),
                            'box-options'     => array(
                                'link' => array(
                                    'label' => esc_html__( 'Link to social network page', 'utouch-lite' ),
                                    'type'  => 'text',
                                ),
                                'icon' => array(
                                    'label'   => esc_html__( 'Icon', 'utouch-lite' ),
                                    'type'    => 'select',
                                    'value'   => 'phone',
                                    'choices' => utouch_social_network_icons()
                                ),
                            ),
                            'template'        => 'Icon - {{- icon }}', // box title
                            'limit'           => 0,
                            'add-button-text' => esc_html__( 'Add icon', 'utouch-lite' ),
                            'desc'            => esc_html__( 'Icons of social networks with links to profile', 'utouch-lite' ),
                            'sortable'        => true,
                        ),
                        'icons-style'     => array(
                            'type'    => 'radio',
                            'label'   => esc_html__( 'Icons style', 'utouch-lite' ),
                            'value'   => 'plain',
                            'choices' => array(
                                'colored' => esc_html__( 'Colored', 'utouch-lite' ),
                                'plain'   => esc_html__( 'Text color', 'utouch-lite' ),
                            ),
                        ),
                        'show-login'      => array(
                            'type'    => 'multi-picker',
                            'label'   => false,
                            'desc'    => false,
                            'value'   => array(
                                'status' => 'hide',
                                'show'   => array(
                                ),
                            ),
                            'picker'  => array(
                                'status' => array(
                                    'type'         => 'switch',
                                    'label'        => esc_html__( 'Login/Logout block', 'utouch-lite' ),
                                    'left-choice' => array(
	                                    'value' => 'hide',
	                                    'label' => esc_html__('Hide', 'utouch-lite'),
                                    ),
                                    'right-choice' => array(
	                                    'value' => 'show',
	                                    'label' => esc_html__('Show', 'utouch-lite'),
                                    ),
                                ),
                            ),
                            'choices' => array(
                                'show' => array(
                                ),
                            ),
                        ),
                    ),
                ),
                'show_borders' => true,
            )
        ),
    ),
    'section_header_design' => array(
        'title'   => esc_html__( 'Design', 'utouch-lite' ),
        'options' => array(
            'decorative-line'    => array(
                'type'         => 'switch',
                'label'        => esc_html__( 'Top decorative line', 'utouch-lite' ),
                'value'        => 'show',
                'left-choice' => array(
	                'value' => 'hide',
	                'label' => esc_html__('Hide', 'utouch-lite'),
                ),
                'right-choice' => array(
	                'value' => 'show',
	                'label' => esc_html__('Show', 'utouch-lite'),
                ),
            ),
            'header_bg_color'    => array(
                'type'  => 'color-picker',
                'label' => esc_html__( 'Background Color', 'utouch-lite' ),
                'help'  => esc_html__( 'Click on field to choose color or clear field for default value', 'utouch-lite' ),
                'value' => '#fff',
            ),
            'header-text-color'  => array(
                'type'  => 'color-picker',
                'label' => esc_html__( 'Text Color', 'utouch-lite' ),
                'help'  => esc_html__( 'Click on field to choose color or clear field for default value', 'utouch-lite' ),
                'value' => '#6a85a6',
            ),
        ),
    ),
    'section_sticky'        => array(
        'title'   => esc_html__( 'Sticky Header', 'utouch-lite' ),
        'options' => array(
            'sticky_header' => array(
                'type'    => 'multi-picker',
                'label'   => false,
                'desc'    => false,
                'picker'  => array(
                    'value' => array(
                        'label'        => esc_html__( 'Show sticky header?', 'utouch-lite' ),
                        'desc'         => esc_html__( 'Show header sticky to top on page scroll', 'utouch-lite' ),
                        'type'         => 'switch',

                        'left-choice'  => array(
                            'value' => 'no',
                            'label' => esc_html__( 'Disable', 'utouch-lite' )
                        ),
                        'right-choice' => array(
	                        'value' => 'yes',
	                        'label' => esc_html__( 'Enable', 'utouch-lite' )
                        ),
                        'value'        => 'yes',
                    )
                ),
                'choices' => array(
                    'yes' => array(
                        'on_mobile' => array(
                            'type'  => 'switch',
                            'value' => false,
                            'label' => esc_html__( 'Sticky header on mobile?', 'utouch-lite' ),
                        )
                    )
                ),
            ),
        ),
    ),
    'section_logo'          => array(
        'title'   => esc_html__( 'Logotype', 'utouch-lite' ),
        'options' => array(
            'logo-image'    => array(
                'label'       => esc_html__( 'Logotype Image', 'utouch-lite' ),
                'type'        => 'upload',
                'images_only' => true,
            ),
            'logo-retina'   => array(
                'type'  => 'switch',
                'label' => esc_html__( 'Logo in Retina?', 'utouch-lite' ),
                'desc'  => esc_html__( 'This image wil be displayed twice smaller than uploaded image size.', 'utouch-lite' ),
            ),
            'logo-title'    => array(
                'type'  => 'text',
                'label' => esc_html__( 'Logotype text', 'utouch-lite' ),
                'desc'  => esc_html__( 'Write your logo title', 'utouch-lite' ),
                'value' => get_bloginfo( 'name' )
            ),
            'logo-subtitle' => array(
                'type'  => 'text',
                'label' => esc_html__( 'Logotype description', 'utouch-lite' ),
                'desc'  => esc_html__( 'Write your logo description', 'utouch-lite' ),
                'value' => get_bloginfo( 'description' )
            ),
        ),
    ),
    'section_search'        => array(
        'title'   => esc_html__( 'Search', 'utouch-lite' ),
        'options' => array(
            'search-icon' => array(
                'type'    => 'multi-picker',
                'label'   => false,
                'desc'    => false,
                'picker'  => array(
                    'value' => array(
                        'label'        => esc_html__( 'Show search icon?', 'utouch-lite' ),
                        'type'         => 'switch',
                        'right-choice' => array(
                            'value' => 'yes',
                            'label' => esc_html__( 'Show', 'utouch-lite' )
                        ),
                        'left-choice'  => array(
                            'value' => 'no',
                            'label' => esc_html__( 'Hide', 'utouch-lite' )
                        ),
                        'value'        => 'yes',
                        'desc'         => esc_html__( 'Will enable search icon in page header', 'utouch-lite' ),
                    )
                ),
                'choices' => array(
                    'yes' => array(
                        'color-scheme' => array(
                            'type'    => 'select',
                            'label'   => esc_html__( 'Color scheme', 'utouch-lite' ),
                            'choices' => array(
                                'search--white' => esc_html__( 'White', 'utouch-lite' ),
                                'search--dark'  => esc_html__( 'Dark', 'utouch-lite' ),
                            ),
                            'desc'         => esc_html__( 'Search Pop-Up window colors', 'utouch-lite' ),
                        ),
                    )
                ),
            ),
        ),
    ),
);
