<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$utouch_admin_images_path = UTOUCH_THEME_URI . '/images/admin';

$options = array(// phpcs:ignore WPThemeReview.CoreFunctionality.PrefixAllGlobals.NonPrefixedVariableFound
	'section_stunning_general'  => array(
		'title'   => esc_html__( 'General', 'utouch-lite' ),
		'options' => array(
			'stunning-show' => array(
				'type'    => 'multi-picker',
				'label'   => false,
				'desc'    => false,
				'picker'  => array(
					'value' => array(
						'label'        => esc_html__( 'Show stunning header?', 'utouch-lite' ),
						'type'         => 'switch',
						'left-choice'  => array(
							'value' => 'yes',
							'label' => esc_html__( 'Show', 'utouch-lite' )
						),
						'right-choice' => array(
							'value' => 'no',
							'label' => esc_html__( 'Hide', 'utouch-lite' )
						),
						'value'        => 'yes',
						'desc'         => esc_html__( 'Panel after header will be show/hide from frontend', 'utouch-lite' ),
					)
				),
				'choices' => array(
					'yes' => array(
						'height' => array(
							'type'  => 'text',
							'value' => '',
							'label' => esc_html__( 'Custom stunning header height', 'utouch-lite' ),
							'desc'  => esc_html__( 'only numbers allowed', 'utouch-lite' ),
						),
					),
				),
			),
		),
	),
	'section_stunning_design'   => array(
		'title'   => esc_html__( 'Design', 'utouch-lite' ),
		'options' => array(
			'stunning_text_color' => array(
				'type'  => 'color-picker',
				'label' => esc_html__( 'Text Color', 'utouch-lite' ),
				'help'  => esc_html__( 'Click on field to choose color or clear field for default value', 'utouch-lite' ),
				'value' => '#fff'
			),
			'stunning_background_color' => array(
				'label' => esc_html__( 'Background Color', 'utouch-lite' ),
				'desc'  => esc_html__( 'Please select the background color', 'utouch-lite' ),
				'type'  => 'color-picker',
				'value' => '#273f5b',
			),
			'stunning_overlay_color'    => array(
				'label' => esc_html__( 'Overlay Color', 'utouch-lite' ),
				'desc'  => esc_html__( 'Please select color of overlay', 'utouch-lite' ),
				'type'  => 'rgba-color-picker',
				'value' => '',
			),
			'stunning_bg_options'       => array(
				'type'    => 'multi-picker',
				'label'   => false,
				'desc'    => false,
				'picker'  => array(
					'selected' => array(
						'label'         => esc_html__( 'Image on background', 'utouch-lite' ),
						'type'         => 'switch',
						'value'        => 'no',
						'left-choice'  => array(
							'value' => 'no',
							'label' => esc_html__( 'No', 'utouch-lite' )
						),
						'right-choice' => array(
							'value' => 'image_bg',
							'label' => esc_html__( 'Yes', 'utouch-lite' )
						),
					),
				),
				'choices' => array(
					'image_bg' => array(
						'background_image' => array(
							'label' => esc_html__( 'Background Image', 'utouch-lite' ),
							'desc'  => esc_html__( 'Please select the background image', 'utouch-lite' ),
							'type'  => 'upload',
						),
						'image_size' => array(
							'type'    => 'radio',
							'label'   => esc_html__( 'Background Size', 'utouch-lite' ),
							'choices' => array(
								''        => esc_html__( 'Default', 'utouch-lite' ),
								'cover'   => esc_html__( 'Cover', 'utouch-lite' ),
								'contain' => esc_html__( 'Contain', 'utouch-lite' ),
							),
							'inline'  => true,
						),
						'bg_effect'  => array(
							'type'    => 'radio',
							'label'   => esc_html__( 'Image Effect', 'utouch-lite' ),
							'desc'    => esc_html__( 'Select effect for background image', 'utouch-lite' ),
							'choices' => array(
								''      => esc_html__( 'None', 'utouch-lite' ),
								'tilt'  => esc_html__( 'Tilt Effect', 'utouch-lite' ),
								'fixed' => esc_html__( 'Fixed Image', 'utouch-lite' ),
							),
							'inline'  => true,
						),
					),
				),
			),
		),
	),
	'section_stunning_elements' => array(
		'title'   => esc_html__( 'Elements', 'utouch-lite' ),
		'options' => array(
			'stunning_title'       => array(
				'type'    => 'multi-picker',
				'label'   => false,
				'desc'    => false,
				'picker'  => array(
					'show' => array(
						'type'         => 'switch',
						'label'        => esc_html__( 'Page Title', 'utouch-lite' ),
						'desc'         => esc_html__( 'Text with page title in stunning header section', 'utouch-lite' ),
						'left-choice'  => array(
							'value' => 'no',
							'label' => esc_html__( 'Hide', 'utouch-lite' )
						),
						'right-choice' => array(
							'value' => 'yes',
							'label' => esc_html__( 'Show', 'utouch-lite' )

						),
						'value'        => 'yes',
					),
				),
				'choices' => array(),
			),
			'stunning_category'    => array(
				'type'         => 'switch',
				'label'        => esc_html__( 'Category', 'utouch-lite' ),
				'desc'         => esc_html__( 'Display category / taxonomy with link in stunning header section', 'utouch-lite' ),
				'left-choice'  => array(
					'value' => 'no',
					'label' => esc_html__( 'Hide', 'utouch-lite' )
				),
				'right-choice' => array(
					'value' => 'yes',
					'label' => esc_html__( 'Show', 'utouch-lite' )
				),
				'value'        => 'no',
			),
			'stunning_breadcrumbs' => array(
				'type'         => 'switch',
				'label'        => esc_html__( 'Breadcrumbs', 'utouch-lite' ),
				'desc'         => esc_html__( 'Breadcrumbs in stunning header section', 'utouch-lite' ),
				'left-choice'  => array(
					'value' => 'no',
					'label' => esc_html__( 'Hide', 'utouch-lite' )
				),
				'right-choice' => array(
					'value' => 'yes',
					'label' => esc_html__( 'Show', 'utouch-lite' )
				),
				'value'        => 'yes',
			),
			'stunning_author'      => array(
				'type'         => 'switch',
				'label'        => esc_html__( 'Author info', 'utouch-lite' ),
				'desc'         => esc_html__( 'Info about post author ( only for posts / pages )', 'utouch-lite' ),
				'left-choice'  => array(
					'value' => 'no',
					'label' => esc_html__( 'Hide', 'utouch-lite' )
				),
				'right-choice' => array(
					'value' => 'yes',
					'label' => esc_html__( 'Show', 'utouch-lite' )
				),
				'value'        => 'no',
			),
			'stunning_additional'  => array(
				'type'         => 'switch',
				'label'        => esc_html__( 'Additional info', 'utouch-lite' ),
				'desc'         => esc_html__( 'Info about event / course / etc ( only when available )', 'utouch-lite' ),
				'left-choice'  => array(
					'value' => 'no',
					'label' => esc_html__( 'Hide', 'utouch-lite' )
				),
				'right-choice' => array(
					'value' => 'yes',
					'label' => esc_html__( 'Show', 'utouch-lite' )
				),
				'value'        => 'no',
			),
		),
	),
);


