<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}

$utouch_admin_images_path = UTOUCH_THEME_URI . '/images/admin';

$options = array(// phpcs:ignore WPThemeReview.CoreFunctionality.PrefixAllGlobals.NonPrefixedVariableFound
	'stunning_style' => array(
		'type'    => 'image-picker',
		'value'   => 'default',
		'label'   => esc_html__( 'Select section style', 'utouch-lite' ),
		'desc'    => esc_html__( 'Select one of pre-defined section style / layout', 'utouch-lite' ),
		'choices' => array(
			'default' => array(
				'small' => array(
					'src' => $utouch_admin_images_path.'/default.png',
					'height' => 90
				),
			),
			'disabled' => array(
				'small' => array(
					'src' => $utouch_admin_images_path.'/disable.png',
					'height' => 90
				),
			),
		),
		'blank'   => false
	),
	'stunning_content_group' => array(
		'type' => 'group',
		'options' => array(
			'stunning_content' => array(
				'attr' => array(
					'data-advanced-for' => 'stunning-content',
					'class' => 'fw-advanced-button'
				),
				'type' => 'popup',
				'label' => esc_html__('Custom Content', 'utouch-lite'),
				'desc' => esc_html__('Change the content of this section', 'utouch-lite'),
				'button' => esc_html__('Change Content', 'utouch-lite'),
				'size' => 'medium',
				'popup-options' => array(

					'stunning_title' => array(
						'type'    => 'multi-picker',
						'label'   => false,
						'desc'    => false,
						'picker'  => array(
							'show' => array(
								'type'  => 'switch',
								'label' => esc_html__( 'Page Title', 'utouch-lite' ),
								'desc'  => esc_html__( 'Text with page title in stunning header section', 'utouch-lite' ),
								'left-choice' => array(
									'value' => 'no',
									'label' => esc_html__( 'Hide', 'utouch-lite' )
								),
								'right-choice'  => array(
									'value' => 'yes',
									'label' => esc_html__( 'Show', 'utouch-lite' )

								),
								'value'        => 'yes',
							),
						),
						'choices' => array(
							'yes' => array(

								'stunning-custom-title'    => array(
									'type'  => 'text',
									'value' => '',
									'label' => esc_html__( 'Custom title', 'utouch-lite' ),
								),
								'stunning-custom-subtitle'    => array(
									'type'  => 'text',
									'value' => '',
									'label' => esc_html__( 'Custom subtitle', 'utouch-lite' ),
								),
							)
						),
					),
					'stunning_category'   => array(
						'type'  => 'switch',
						'label' => esc_html__( 'Category', 'utouch-lite' ),
						'desc'  => esc_html__( 'Display category / taxonomy with link in stunning header section', 'utouch-lite' ),
						'left-choice' => array(
							'value' => 'no',
							'label' => esc_html__( 'Hide', 'utouch-lite' )
						),
						'right-choice'  => array(
							'value' => 'yes',
							'label' => esc_html__( 'Show', 'utouch-lite' )
						),
						'value'        => 'no',
					),
					'stunning_breadcrumbs'   => array(
						'type'  => 'switch',
						'label' => esc_html__( 'Breadcrumbs', 'utouch-lite' ),
						'desc'  => esc_html__( 'Breadcrumbs in stunning header section', 'utouch-lite' ),
						'left-choice' => array(
							'value' => 'no',
							'label' => esc_html__( 'Hide', 'utouch-lite' )
						),
						'right-choice'  => array(
							'value' => 'yes',
							'label' => esc_html__( 'Show', 'utouch-lite' )
						),
						'value'        => 'yes',
					),
					'stunning_author'   => array(
						'type'  => 'switch',
						'label' => esc_html__( 'Author info', 'utouch-lite' ),
						'desc'  => esc_html__( 'Info about post author ( only for posts / pages )', 'utouch-lite' ),
						'left-choice' => array(
							'value' => 'no',
							'label' => esc_html__( 'Hide', 'utouch-lite' )
						),
						'right-choice'  => array(
							'value' => 'yes',
							'label' => esc_html__( 'Show', 'utouch-lite' )
						),
						'value'        => 'no',
					),
					'stunning_additional'   => array(
						'type'  => 'switch',
						'label' => esc_html__( 'Additional info', 'utouch-lite' ),
						'desc'  => esc_html__( 'Info about event / course / etc ( only when available )', 'utouch-lite' ),
						'left-choice' => array(
							'value' => 'no',
							'label' => esc_html__( 'Hide', 'utouch-lite' )
						),
						'right-choice'  => array(
							'value' => 'yes',
							'label' => esc_html__( 'Show', 'utouch-lite' )
						),
						'value'        => 'no',
					),

					'stunning-buttons'    => array(
						'label'         => esc_html__( 'Buttons', 'utouch-lite' ),
						'type'          => 'addable-popup',
						'add-button-text' => esc_html__('Add button', 'utouch-lite'),
						'template'      => '{{- label }}',
						'desc'          => esc_html__( 'Buttons on opposite page title', 'utouch-lite' ),
						'popup-options' => array(
							'label' => array(
								'label' => esc_html__( 'Button Label', 'utouch-lite' ),
								'desc'  => esc_html__( 'This is the text that appears on your button', 'utouch-lite' ),
								'type'  => 'text',
								'value' => ''
							),
							fw()->theme->get_options( 'option-link' ),
							'color' => array(
								'label'   => esc_html__( 'Color', 'utouch-lite' ),
								'type'    => 'select', // or 'short-select'
								'attr'  => array( 'class' => 'colored-options' ),
								'choices' => utouch_button_colors(),
							),
							'size'  => array(
								'type'    => 'radio',
								'value'   => 'medium',
								'label'   => esc_html__( 'Button size', 'utouch-lite' ),
								'choices' => array(
									'small'  => esc_html__( 'Small', 'utouch-lite' ),
									'medium' => esc_html__( 'Medium', 'utouch-lite' ),
									'large'  => esc_html__( 'Large', 'utouch-lite' ),
								),
								'inline'  => true,
							),
							'outlined' => array(
								'label'       => esc_html__( 'Outlined button', 'utouch-lite' ),
								'type'         => 'switch',
								'right-choice' => array(
									'value' => 'on',
									'label' => esc_html__( 'On', 'utouch-lite' ),
								),
								'left-choice'  => array(
									'value' => 'off',
									'label' => esc_html__( 'Off', 'utouch-lite' ),
								),
								'value'        => 'off',
								'desc'         => esc_html__( 'Button with border and transparent background', 'utouch-lite' ),
							),
							'shadow' => array(
								'label'        => esc_html__( 'Drop shadow', 'utouch-lite' ),
								'type'         => 'switch',
								'right-choice' => array(
									'value' => 'on',
									'label' => esc_html__( 'On', 'utouch-lite' ),
								),
								'left-choice'  => array(
									'value' => 'off',
									'label' => esc_html__( 'Off', 'utouch-lite' ),
								),
								'value'        => 'on',
								'desc'         => esc_html__( 'Buttons shadow effect on hover', 'utouch-lite' ),
							),
							'class'      => array(
								'type'  => 'text',
								'label' => esc_html__( 'Additional class', 'utouch-lite' ),
								'desc'  => esc_html__( 'Class that can be used for additional styling or JS actions', 'utouch-lite' )
							),
						),
					),
				)
			),
			'stunning-show' => array(
				'attr' => array('class' => 'stunning-content'),
				'type' => 'switch',
				'value' => 'no',
				'label'        => esc_html__( 'Customize content', 'utouch-lite' ),
				'desc'         => esc_html__( 'Panel after header will be show/hide from frontend', 'utouch-lite' ),
				'left-choice' => array(
					'value' => 'no',
					'label' => esc_html__( 'No', 'utouch-lite' )
				),
				'right-choice' => array(
					'value' => 'yes',
					'label' => esc_html__( 'Yes', 'utouch-lite' )
				)
			),
		)
	),

	'stunning_design_group' => array(
		'type' => 'group',
		'options' => array(
			'stunning_design' => array(
				'attr' => array(
					'data-advanced-for' => 'stunning-design',
					'class' => 'fw-advanced-button'
				),
				'type' => 'popup',
				'label' => esc_html__('Custom Style', 'utouch-lite'),
				'desc' => esc_html__('Change the style / typography of this section', 'utouch-lite'),
				'button' => esc_html__('Change Styling', 'utouch-lite'),
				'size' => 'medium',
				'popup-options' => array(
					'stunning_text_color' => array(
						'type'  => 'color-picker',
						'label' => esc_html__( 'Text Color', 'utouch-lite' ),
						'help'  => esc_html__( 'Click on field to choose color or clear field for default value', 'utouch-lite' ),
						'value' => '#fff'
					),
					'stunning_background_color' => array(
						'label' => esc_html__( 'Background Color', 'utouch-lite' ),
						'desc'  => esc_html__( 'Please select the background color', 'utouch-lite' ),
						'type'  => 'color-picker',
						'value' => '#273f5b',
					),
					'stunning_overlay_color'    => array(
						'label' => esc_html__( 'Overlay Color', 'utouch-lite' ),
						'desc'  => esc_html__( 'Please select color of overlay', 'utouch-lite' ),
						'type'  => 'rgba-color-picker',
						'value' => '',
					),
					'stunning_bg_options'       => array(
						'type'    => 'multi-picker',
						'label'   => false,
						'desc'    => false,
						'picker'  => array(
							'selected' => array(
								'label'         => esc_html__( 'Image on background', 'utouch-lite' ),
								'type'         => 'switch',
								'value'        => 'no',
								'left-choice'  => array(
									'value' => 'no',
									'label' => esc_html__( 'No', 'utouch-lite' )
								),
								'right-choice' => array(
									'value' => 'image_bg',
									'label' => esc_html__( 'Yes', 'utouch-lite' )
								),
							),
						),
						'choices' => array(
							'image_bg' => array(
								'background_image' => array(
									'label' => esc_html__( 'Background Image', 'utouch-lite' ),
									'desc'  => esc_html__( 'Please select the background image', 'utouch-lite' ),
									'type'  => 'upload',
								),
								'image_size' => array(
									'type'    => 'radio',
									'label'   => esc_html__( 'Background Size', 'utouch-lite' ),
									'choices' => array(
										''        => esc_html__( 'Default', 'utouch-lite' ),
										'cover'   => esc_html__( 'Cover', 'utouch-lite' ),
										'contain' => esc_html__( 'Contain', 'utouch-lite' ),
									),
									'inline'  => true,
								),
								'bg_effect'  => array(
									'type'    => 'radio',
									'label'   => esc_html__( 'Image Effect', 'utouch-lite' ),
									'desc'    => esc_html__( 'Select effect for background image', 'utouch-lite' ),
									'choices' => array(
										''      => esc_html__( 'None', 'utouch-lite' ),
										'tilt'  => esc_html__( 'Tilt Effect', 'utouch-lite' ),
										'fixed' => esc_html__( 'Fixed Image', 'utouch-lite' ),
									),
									'inline'  => true,
								),
							),
						),
					),
					'height'    => array(
						'type'  => 'short-text',
						'value' => '',
						'label' => esc_html__( 'Custom height', 'utouch-lite' ),
						'desc'  => esc_html__('only numbers allowed', 'utouch-lite'),
					),
				)
			),
			'enable_stunning_design' => array(
				'attr' => array('class' => 'stunning-design'),
				'type' => 'switch',
				'value' => 'no',
				'label' => esc_html__('Customize Design', 'utouch-lite'),
				'desc' => esc_html__('Customize design of this section only on current page?', 'utouch-lite'),
				'left-choice' => array(
					'value' => 'no',
					'label' => esc_html__('No', 'utouch-lite'),
				),
				'right-choice' => array(
					'value' => 'yes',
					'label' => esc_html__('Yes', 'utouch-lite'),
				)
			),
		),
	),


);