<?php if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct access forbidden.' );
}

define( 'UTOUCH_THEME_URI', trailingslashit( esc_url( get_template_directory_uri() ) ) );

require_once get_template_directory() . '/inc/init.php';
require get_template_directory() . '/inc/classes/utouch-class-autoload.php';


/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';

function utouch_admin_customizations( $hook ) {
	$my_theme = wp_get_theme();
	// Fix Unyson styles in admin panel
	$hook_arr = array( 'widgets.php', 'profile.php', 'post.php', 'edit.php' );
	if ( in_array( $hook, $hook_arr ) ) {
		wp_enqueue_style( 'utouch-admin-custom', UTOUCH_THEME_URI . '/css/admin.css', array(), $my_theme->get( 'Version' ) );
	}
}

add_action( 'admin_enqueue_scripts', 'utouch_admin_customizations', 10, 1 );