<?php if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct access forbidden.' );
}
$utouch_names_arr = array();

function utouch_update_go_pricing_options() {
	$plugin_options                  = get_option( 'go_pricing_table_settings' );
	$plugin_options['public_assets'] = 'global';
	update_option( 'go_pricing_table_settings', $plugin_options );
	update_option( 'go_pricing_table_theme_compatible', 'yes' );
}

if ( 'yes' !== get_option( 'go_pricing_table_theme_compatible' ) ) {
	utouch_update_go_pricing_options();
}

if ( class_exists( 'GW_GoPricing_Data' ) ) {

	global $pagenow;

	if ( $pagenow != 'post.php' &&
	     $pagenow != 'post-new.php' &&
	     $pagenow != 'nav-menus.php' &&
	     ( $pagenow != 'admin-ajax.php' || $pagenow == 'admin-ajax.php' && isset( $_POST['action'] ) ) ) {
		return;
	}

	$utouch_pricing_tables = GW_GoPricing_Data::get_tables( '', false, 'title', 'ASC' );

	if ( ! empty( $utouch_pricing_tables ) ) {
		foreach ( $utouch_pricing_tables as $utouch_pricing_table ) {
			if ( ! empty( $utouch_pricing_table['name'] ) && ! empty( $utouch_pricing_table['id'] ) ) {
				$utouch_names_arr[] = $utouch_pricing_table['name'];
				$utouch_name_count = array_count_values( $utouch_names_arr );
				$utouch_dropdown_data[ $utouch_pricing_table['id'] ] = sprintf( '%1$s (#%2$s)', $utouch_pricing_table['name'], $utouch_pricing_table['postid'] );

			}
		}
	}
}

if ( empty( $utouch_dropdown_data ) ) {
	$utouch_dropdown_data[0] = esc_html__( 'No tables found!', 'utouch-lite' );
}

// Small text shortcodes. Without dedicated blocks.
if ( function_exists( 'kc_add_map' ) ) {
	kc_add_map(
		array(
			'go_pricing' => array(
				'name'        => esc_html__( 'Go Pricing', 'utouch-lite' ),
				'description' => esc_html__( 'Amazing responsive pricing tables', 'utouch-lite' ),
				'icon'        => 'kc-crum-icon-go-pricing',
				'category'    => esc_html__( 'Content', 'utouch-lite' ),
				'assets'      =>
					array(
						'styles' => 'go_pricing-styles',
					),
				'params'      => array(
					'general' => array(
						array(
							'name'        => 'id',
							'type'        => 'select',
							'label'       => esc_html__( 'Select Pricing Table', 'utouch-lite' ),
							'options'     => $utouch_dropdown_data,
							'admin_label' => true
						),
						array(
							'name'        => 'wrap_class',
							'label'       => esc_html__( 'Extra class', 'utouch-lite' ),
							'type'        => 'text',
							'description' => esc_html__( 'If you wish to style a particular content element differently, please add a class name to this field and refer to it in your custom CSS file.', 'utouch-lite' ),
						),
					),
				)
			),  // End of elemnt kc_icon
		)
	);
}