<?php
/**
 * Include static files: javascript and css
 *
 * @package utouch.
 */

if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct access forbidden.' );
}


if ( is_admin() ) {
	return;
}

global $wp_customize;

$utouch_theme = wp_get_theme();
$utouch_version = $utouch_theme->get( 'Version' );
if ( is_child_theme() ) {
	$utouch_theme = $utouch_theme->parent();
	$utouch_version = $utouch_theme->get( 'Version' );
}

$utouch_show_sticky_header = 'yes';

if ( function_exists( 'fw_get_db_customizer_option' ) ) {
	$utouch_show_sticky_header = fw_get_db_customizer_option( 'sticky_header/value', 'yes' );
}


/**
 * Enqueue scripts and styles for the front end.
 */


// Theme core styles
wp_enqueue_style(
	'utouch-theme-style',
	get_template_directory_uri() . '/css/theme-styles.css',
	array(), $utouch_version

);

wp_enqueue_style(
	'utouch-style',
	get_template_directory_uri() . '/style.css',
	array(),
	$utouch_version
);

wp_enqueue_style(
	'utouch-swiper',
	get_template_directory_uri() . '/css/swiper.min.css',
	array(),
	'3.3.1'
);


// Add font, used in the main stylesheet.
wp_enqueue_style(
	'utouch-theme-font',
	utouch_font_url(),
	array(),
	'1.0'
);


wp_register_script(
	'utouch-reframe',
	get_template_directory_uri() . '/js/reframe.min.js',
	array( 'jquery' ),
	'2.2.7',
	true
);



wp_enqueue_script(
	'utouch-swiper-slider',
	get_template_directory_uri() . '/js/swiper.jquery.min.js',
	array(),
	'1.1.0',
	true
);

wp_register_script(
	'utouch-plugins',
	get_template_directory_uri() . '/js/theme-plugins.min.js',
	array(),
	$utouch_version,
	true
);

wp_register_script(
	'utouch-sticky-header',
	get_template_directory_uri() . '/js/sticky-header.js',
	array(),
	$utouch_version,
	true
);


$utouch_main_script_deps = array( 'jquery', 'utouch-plugins' );

if ( 'yes' === $utouch_show_sticky_header ) {
	$utouch_main_script_deps[] = 'utouch-sticky-header';
}

wp_enqueue_script( 'utouch-main-script', get_template_directory_uri() . '/js/main.js', $utouch_main_script_deps, $utouch_version, true );

if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
	wp_enqueue_script( 'comment-reply' );
}

wp_register_script(
	'tiltfx',
	get_template_directory_uri() . '/js/tiltfx.js',
	array(),
	false,
	true
);

if ( Utouch::template_stunning()->show && ! is_404() ) {
	wp_enqueue_script( 'tiltfx' );
}

if ( isset( $wp_customize ) && $wp_customize->is_preview() ) {

	wp_enqueue_script('tiltfx');

	wp_enqueue_script(
		'utouch_customizer',
		get_template_directory_uri() . '/js/customizer.js',
		array(),
		false,
		true
	);

}

$utouch_custom_js = ( function_exists( 'fw_get_db_customizer_option' ) ) ? fw_get_db_customizer_option( 'custom-js', '' ) : '';
if ( ! empty( $utouch_custom_js ) ) {
	$utouch_custom_js = 'jQuery( document ).ready(function($) {  ' . $utouch_custom_js . '  });';
	wp_add_inline_script( 'utouch-main-script', $utouch_custom_js );
}