<?php
/**
 * Template Name: Landing page
 */

get_header();

$utouch_layout = utouch_sidebar_conf(true);
$utouch_main_class = 'full' !== $utouch_layout['position'] ? 'site-main content-main-sidebar' : 'site-main content-main-full';
$utouch_container_width = 'container';
$utouch_padding_class = '';
$utouch_builder_meta = get_post_meta( get_the_ID(), 'kc_data', true );
	if ( isset( $utouch_builder_meta['mode'] ) && 'kc' === $utouch_builder_meta['mode'] && 'full' === $utouch_layout['position'] ) {
	$utouch_container_width = 'page-builder-wrap';
    $utouch_padding_class = '';
} ?>
	<div id="primary" class="<?php echo esc_attr( $utouch_container_width ) ?>">
		<div class="row <?php echo esc_attr( $utouch_padding_class ) ?>">
			<div class="<?php echo esc_attr( $utouch_layout['content-classes'] ) ?>">
				<main id="main" class="<?php echo esc_attr( $utouch_main_class ) ?>"  >

					<?php
					while ( have_posts() ) : the_post();

						get_template_part( 'parts/content', 'page' );

						// If comments are open or we have at least one comment, load up the comment template.
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;

					endwhile; // End of the loop.
					?>

				</main><!-- #main -->
			</div>
			<?php if ( 'full' !== $utouch_layout['position'] ) { ?>
				<div class="<?php echo esc_attr( $utouch_layout['sidebar-classes'] ) ?>">
					<?php get_sidebar(); ?>
				</div>
			<?php } ?>
		</div><!-- #row -->
	</div><!-- #primary -->
<?php
get_footer();
