<?php
/**
 * Template part for displaying section with previous / next posts.
 *
 * @link    https://codex.wordpress.org/Template_Hierarchy
 *
 * @package utouch
 */

$utouch_prev_post = get_previous_post();
$utouch_next_post = get_next_post();

if ( ! empty( $utouch_prev_post ) && ! empty( $utouch_next_post ) ) {
	?>
	<div class="pagination-arrow">
		<?php if ( ! empty( $utouch_prev_post ) ) {
			$utouch_prev_post_id = $utouch_prev_post->ID; ?>

			<a href="<?php echo esc_url( get_permalink( $utouch_prev_post_id ) ); ?>" class="btn-next-wrap">
				<div class="btn-content">
					<div class="btn-content-title"><?php esc_html_e( 'Previous Post', 'utouch-lite' ); ?></div>
					<p class="btn-content-subtitle"><?php echo esc_html( $utouch_prev_post->post_title ); ?></p>
				</div>
				<svg class="btn-next">
					<use xlink:href="#arrow-right"></use>
				</svg>
			</a>
		<?php }

		if ( ! empty( $utouch_next_post ) ) {
			$utouch_next_post_id = $utouch_next_post->ID; ?>

			<a href="<?php echo esc_url( get_permalink( $utouch_next_post_id ) ); ?>" class="btn-prev-wrap">
				<svg class="btn-prev">
					<use xlink:href="#arrow-left"></use>
				</svg>
				<div class="btn-content">
					<div class="btn-content-title"><?php esc_html_e( 'Next Post', 'utouch-lite' ); ?></div>
					<p class="btn-content-subtitle"><?php echo esc_html( $utouch_next_post->post_title ); ?></p>
				</div>
			</a>
		<?php } ?>
	</div>
<?php }