<?php
$utouch_data     = fw_get_db_customizer_option( 'sections-top-bar/show', array() );
$utouch_social_networks = utouch_akg( 'social-networks', $utouch_data, array() );
$utouch_soc_icons_style = utouch_akg( 'icons-style', $utouch_data, 'plain' );
$utouch_info_boxes      = utouch_akg( 'info-boxes', $utouch_data, array() );
$utouch_show_login      = utouch_akg( 'show-login/status', $utouch_data, 'hide' );

$utouch_panel_icons = array(
    'phone' => '<svg class="utouch-icon utouch-icon-telephone-keypad-with-ten-keys"><use xlink:href="#utouch-icon-telephone-keypad-with-ten-keys"></use></svg>',
    'mail'  => '<svg class="utouch-icon utouch-icon-letter"><use xlink:href="#utouch-icon-letter"></use></svg>'
);

$utouch_theme_style = utouch_akg( 'theme-style', $utouch_data, '' );

if ( is_singular() && function_exists( 'fw_get_db_post_option' ) ) {
    // Header options
    $utouch_enable_customization = fw_get_db_post_option( $page_id, 'custom-header/enable', 'no' );
    if ( 'yes' === $utouch_enable_customization ) {
        $utouch_custom_header_opt = fw_get_db_post_option( $page_id, 'custom-header/yes/sections-top-bar/show', array() );
        $utouch_theme_style       = utouch_akg( 'theme-style', $utouch_custom_header_opt, '' );
        $utouch_soc_icons_style   = utouch_akg( 'icons-style', $utouch_custom_header_opt, 'plain' );
    }
}
?>
<div class="top-bar <?php echo esc_attr( $utouch_theme_style ); ?>">
    <div class="container">
        <div class="top-bar-contact">
            <?php
            if ( ( utouch_akg( 'show-languages/status', $utouch_data ) == 'show' ) && ( utouch_akg( 'show-languages/show/language-select/status', $utouch_data ) == 'plugin-select' ) ) {
                echo do_shortcode( utouch_akg( 'show-languages/show/language-select/plugin-select/shortcode', $utouch_data ) );
            } elseif ( ( utouch_akg( 'show-languages/status', $utouch_data ) == 'show' ) && ( utouch_akg( 'show-languages/show/language-select/status', $utouch_data ) != 'plugin-select' ) && ( function_exists( 'icl_get_languages' ) )
            ) {
                $utouch_data[ 'top-bar-lang' ] = icl_get_languages( 'skip_missing=0&orderby=code' );
                $utouch_active_languages       = ( isset( $utouch_data[ 'top-bar-lang' ] ) && !empty( $utouch_data[ 'top-bar-lang' ] ) ) ? $utouch_data[ 'top-bar-lang' ] : array();
                $utouch_lang_img               = '';
                $utouch_active_lang_key        = '';
                $utouch_lang_options_str       = '';
                foreach ( $utouch_active_languages as $utouch_lang_key => $utouch_lang_conf ) {
                    if ( $utouch_lang_conf[ 'active' ] ) {
                        $utouch_lang_img = $utouch_lang_conf[ 'country_flag_url' ];
                        $utouch_active_lang_key = $utouch_lang_key;
                    }
                    $utouch_lang_options_str .= '<option data-url="' . $utouch_lang_conf[ 'url' ] . '" data-image="' . esc_url( $utouch_lang_conf[ 'country_flag_url' ] ) . '" 
					value="' . $utouch_lang_key . '"' . ( ( $utouch_lang_key == $utouch_active_lang_key ) ? 'selected="selected"' : '' ) . '>' . $utouch_lang_conf[ 'native_name' ] . '</option>';
                }
                ?>
                <div class="contact-item language-switcher">
                    <svg class="utouch-icon world utouch-icon-world-map">
                    <use xlink:href="#utouch-icon-world-map"></use>
                    </svg>
                    <select id="top-bar-language" class="nice-select">
                        <?php utouch_render( $utouch_lang_options_str ); ?>
                    </select>
                </div>
            <?php } ?>
            <?php
            if ( !empty( $utouch_info_boxes ) ) {
                foreach ( $utouch_info_boxes as $utouch_infoField ) {
                    ?>
                    <div class="contact-item">
                        <?php
                        $utouch_field = $utouch_infoField[ 'info' ];

                        /** @var array $utouch_panel_icons */
                        $utouch_panel_icons = apply_filters( 'utouch_topbar_icons', $utouch_panel_icons );

                        if ( utouch_is_phone( $utouch_field ) ) {
                            echo utouch_akg( 'phone', $utouch_panel_icons, '' );
                            echo '<a href="tel:' . $utouch_field . '">' . $utouch_field . '</a>';
                        } elseif ( utouch_is_email( $utouch_field ) ) {
                            echo utouch_akg( 'mail', $utouch_panel_icons, '' );
                            echo '<a href="mailto:' . $utouch_field . '">' . $utouch_field . '</a>';
                        } else {
                            echo wp_kses( $utouch_field, wp_kses_allowed_html( $utouch_field ) );
                        }
                        ?>
                    </div>
                    <?php
                }
            }
            ?>
        </div>

	    <?php if ( $utouch_show_login === 'show' ) { ?>
			<div class="login-block">
			    <?php if ( is_user_logged_in() ) { ?>
				    <?php
				    global $current_user;
				    echo get_avatar( $current_user->user_email, 28, '', '', array( 'class' => 'sign-in' ) );
				    ?>
					<a href="<?php echo wp_logout_url(); ?>"><?php esc_html_e( 'Sign out', 'utouch-lite' ); ?></a>
			    <?php } else { ?>
					<img src="<?php echo UTOUCH_THEME_URI.'/images/signin_dark.png'; ?>" class="sign-in" alt="<?php esc_attr_e( 'Sign in icon', 'utouch-lite' ); ?>">
					<a href="<?php echo wp_login_url(); ?>"><?php esc_html_e( 'Sign in', 'utouch-lite' ); ?></a>
			    <?php } ?>
			</div>
	    <?php } ?>

        <?php if ( !empty( $utouch_social_networks ) ) { ?>
            <div class="follow_us">
                <span><?php esc_html_e( 'Follow us:', 'utouch-lite' ); ?></span>
                <div class="socials">
                    <?php foreach ( $utouch_social_networks as $utouch_social ) { ?>
                        <a href="<?php echo esc_html( $utouch_social[ 'link' ] ); ?>" target="_blank"
                           class="social__item"><?php
                               $utouch_svg_link = UTOUCH_THEME_URI . '/svg/socials/' . $utouch_soc_icons_style . '/' . $utouch_social[ 'icon' ];
                               echo utouch_get_svg_icon( $utouch_svg_link );
                               ?></a>
                    <?php } ?>
                </div>
            </div>
        <?php } ?>

        <a href="#" class="top-bar-close" id="top-bar-close-js">
            <svg class="utouch-icon utouch-icon-cancel-1">
            <use xlink:href="#utouch-icon-cancel-1"></use>
            </svg>
        </a>

    </div>
</div>
