<?php

$utouch_stunning = Utouch::template_stunning();

$utouch_classes = $utouch_stunning->classes;
$utouch_style   = $utouch_stunning->styles;

$utouch_classes[] = 'crumina-stunning-header';
$utouch_classes[] = 'stunning-header--breadcrumbs-bottom-left';
$utouch_classes[] = 'bg-black';
$utouch_classes[] = 'c-white';
$utouch_classes[] = 'fill-white';
$utouch_classes[] = 'custom-color';
$utouch_classes[] = 'style-4';
?>
<div id="stunning-section" class="<?php Utouch_Helper_Html::attr_class( $utouch_classes ) ?>">
	<!--inline-css-->
	<?php
	if ( Utouch_Template_Stunning::BG_TYPE_IMAGE === $utouch_stunning->bg_type && Utouch_Template_Stunning::BG_EFFECT_TILT === $utouch_stunning->bg_effect ) {
		Utouch_Helper_Html::bg_image_tilt( $utouch_stunning->bg_image );
	}
	Utouch_Helper_Html::overlay( $utouch_stunning->overlay_color ); ?>

	<div class="container">
		<div class="stunning-header-content">
			<div class="stunning-text-content">
				<?php $utouch_stunning->category_html( 'h6' ); ?>
				<?php if ( $utouch_stunning->title || ! empty( $utouch_stunning ) ) { ?>

					<div class="inline-items">

						<?php $utouch_stunning->title_html( 'stunning-header-title' ); ?>

						<?php foreach ( $utouch_stunning->buttons as $utouch_button ) {
							$utouch_button['class'] = 'f-right';
							Utouch_Helper_Html::button( $utouch_button );
						} ?>
					</div>
				<?php } ?>

				<?php $utouch_stunning->sub_title_html( 'h6' ); ?>

				<?php if ( $utouch_stunning->author || $utouch_stunning->additional ) { ?>

					<div class="inline-items">
						<?php
						if ( $utouch_stunning->author ) {

							get_template_part( 'parts/stunning/author' );
						} ?>
						<?php if ( $utouch_stunning->additional ) {
							get_template_part( 'parts/stunning/date' );
						} ?>
					</div>
				<?php } ?>
			</div>
			<?php if ( $utouch_stunning->breadcrumbs && function_exists( 'fw_ext_breadcrumbs' ) && ! is_home() && ! is_front_page() && ! is_search() && ! is_author() ) { ?>
				<!-- Breadcrumbs -->
				<div class="breadcrumbs-wrap">

					<a href="<?php echo esc_url( home_url() ) ?>" class="btn btn--primary btn--round breadcrumbs-custom">
						<svg class="utouch-icon utouch-icon-home-icon-silhouette breadcrumbs-custom">
							<use xlink:href="#utouch-icon-home-icon-silhouette"></use>
						</svg>
					</a>
					<div class="breadcrumbs breadcrumbs--rounded">
						<?php fw_ext_breadcrumbs( '<svg class="utouch-icon utouch-icon-media-play-symbol breadcrumbs-custom"><use xlink:href="#utouch-icon-media-play-symbol"></use></svg>' ); ?>
					</div>
				</div>
				<!-- ... end Breadcrumbs -->
			<?php } ?>
		</div>

	</div>
</div>