<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Utouch
 */

$utouch_template_blog = Utouch::template_blog();

$utouch_gallery_images = Utouch::options()->get_option( 'gallery_images', array(), Utouch_Options::SOURCE_POST );

?>


<article id="post-<?php the_ID(); ?>" <?php post_class( 'post-standard post slider' ); ?>>

	<?php if ( $utouch_template_blog->show_featured ) { ?>

		<div class="swiper-container post-standard-thumb-slider">

			<div class="swiper-wrapper">
				<?php
				foreach ( $utouch_gallery_images as $utouch_image ) {
					$utouch_image_url = '';
					if( isset($utouch_image['attachment_id']) ){
						$utouch_image_url = wp_get_attachment_image_url( $utouch_image['attachment_id'], 'utouch-standard-full' );
					}
					?>
					<div class="post-thumb swiper-slide">
						<img src="<?php echo esc_url($utouch_image_url)?>" alt="gallery">
					</div>
					<?php
				}
				?>

			</div>

			<!-- If we need pagination -->
			<div class="swiper-pagination pagination-white"></div>


		</div>
	<?php } ?>

	<?php get_template_part( 'parts/post/blog', 'content' ) ?>

</article>
