<?php
/**
 * Template part for displaying posts.
 *
 * @link    https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Utouch
 */

$utouch_template_blog = Utouch::template_blog();

global $allowedtags, $post;

if ( !$post ) {
    return;
}

$utouch_content = apply_filters( 'the_content', $post->post_content );
$utouch_post_link = filter_var( Utouch::options()->get_option( 'post_link', '', Utouch_Options::SOURCE_POST ), FILTER_VALIDATE_URL );

if ( !$utouch_post_link ) {
    return;
}

$utouch_link_parts = parse_url( $utouch_post_link );

if ( has_post_thumbnail() ) {
    $utouch_poster_class = 'custom-bg';
    $utouch_post_thumbnail_id = get_post_thumbnail_id( get_the_ID() );
    $utouch_post_thumbnail_url = wp_get_attachment_url( $utouch_post_thumbnail_id );
    $utouch_poster_style = 'style="background-image:url(' . esc_url( $utouch_post_thumbnail_url ) . ');"';
} else {
    $utouch_poster_style = '';
    $utouch_poster_class = 'bg-green';
}
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'post-standard link' ); ?>>
    <?php if ( $utouch_template_blog->show_featured ) { ?>

        <div class="post-thumb <?php echo esc_attr( $utouch_poster_class ); ?>" <?php utouch_render( $utouch_poster_style ) // WPCS: XSS OK.   ?>>
            <div class="thumb-content">
                <a href="<?php echo esc_url( $utouch_post_link ); ?>" class="h3 thumb-content-title"><?php echo strip_tags( $utouch_content ) ?></a>

                <a href="<?php echo esc_url( $utouch_post_link ); ?>" class="h6 site-link" rel="nofollow"
                   target="_blank"><?php echo esc_html( $utouch_link_parts[ 'host' ] ) ?></a>
                <a href="<?php echo esc_url( $utouch_post_link ); ?>" class="post-link">
                    <img src="<?php echo UTOUCH_THEME_URI . '/svg/link2.svg'; ?>" alt="link">
                </a>
            </div>
        </div>

    <?php } ?>

</article>