<?php
/**
 * Template part for displaying posts.
 *
 * @link    https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Utouch
 */

$utouch_template_blog = Utouch::template_blog();
$utouch_post_options = Utouch::options()->get_option( '', array(), Utouch_Options::SOURCE_POST );
$utouch_quote_author = utouch_akg( 'quote_author', $utouch_post_options, '' );
$utouch_quote_dopinfo = utouch_akg( 'quote_dopinfo', $utouch_post_options, '' );
$utouch_quote_avatar_id = utouch_akg( 'quote_avatar/attachment_id', $utouch_post_options, '' );
$utouch_quote_text_color = utouch_akg( 'quote_text_color', $utouch_post_options, '#fff' );

if ( has_post_thumbnail() ) {
	$utouch_poster_class = 'custom-bg';
	$utouch_post_thumbnail_id  = get_post_thumbnail_id( get_the_ID() );
	$utouch_post_thumbnail_url = wp_get_attachment_url( $utouch_post_thumbnail_id );
	$utouch_poster_style = 'style="background-image:url(' . esc_url( $utouch_post_thumbnail_url ) . ');"';
} else {
	$utouch_poster_style = '';
	$utouch_poster_class = 'bg-red';
}
$utouch_text_style = ! empty( $utouch_quote_text_color ) ? 'style="color:' . esc_attr( $utouch_quote_text_color ) . ';"' : '';

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'post-standard post quote' ); ?>>
	<?php if ( $utouch_template_blog->show_featured ) { ?>

		<div class="post-thumb <?php echo esc_attr( $utouch_poster_class ); ?>" <?php utouch_render( $utouch_poster_style ) // WPCS: XSS OK. ?>>
			<div class="testimonial-content">
				<div class="text custom-color" <?php utouch_render( $utouch_text_style ) ?>><?php the_content(); ?></div>
				<div class="author-info-wrap">

						<?php if ( ! empty( $utouch_quote_avatar_id ) ) {
							$utouch_quote_avatar_url = wp_get_attachment_image_url( $utouch_quote_avatar_id, 'utouch-avatar' );
							echo '<div class="testimonial-img-author">';
							echo utouch_html_tag( 'img', array(
								'src' => esc_url($utouch_quote_avatar_url),
								'alt' => $utouch_quote_author
							), false );
							echo '</div>';
						} ?>
					<?php if ( ! empty( $utouch_quote_author ) ) { ?>
					<div class="author-info">
						<?php if ( ! empty( $utouch_quote_author ) ) { ?>
							<a class="h6 author-name c-yellow"><?php echo esc_html( $utouch_quote_author ) ?></a>
						<?php }
						if ( ! empty( $utouch_quote_dopinfo ) ) { ?>
							<div class="author-company c-white"><?php echo esc_html( $utouch_quote_dopinfo ) ?></div>
						<?php } ?>
					</div>
					<?php }?>
				</div>
				<div class="quote">
                    <img src="<?php echo UTOUCH_THEME_URI . '/images/quote.png'; ?>" alt="quote">
				</div>
			</div>

		</div>
	<?php } ?>

</article>