<?php
/**
 * Template part for displaying single posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Utouch
 */


$utouch_template_post = Utouch::template_post();

$utouch_format = get_post_format();
if ( false === $utouch_format ) {
	$utouch_format = 'standard';
}

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'post post-standard-details' ); ?>>
	<?php if ( $utouch_template_post->show_featured ) : ?>

		<?php
		if ( 'gallery' === $utouch_format ) {
			$utouch_gallery_images = Utouch::options()->get_option( 'gallery_images', array(), Utouch_Options::SOURCE_POST );

			?>
            <div class="swiper-container post-standard-thumb-slider">

                <div class="swiper-wrapper">
					<?php
					foreach ( $utouch_gallery_images as $utouch_image ) {
						?>
                        <div class="post-thumb swiper-slide">
                            <img src="<?php echo esc_url( $utouch_image['url'] ) ?>" alt="gallery">
                        </div>
						<?php
					}
					?>

                </div>

                <!-- If we need pagination -->
                <div class="swiper-pagination pagination-white"></div>


            </div>

		<?php } else { ?>
            <div class="post-thumb">
				<?php
				if ( 'video' === $utouch_format ) {
					$utouch_video_oembed = Utouch::options()->get_option( 'video_oembed', '', Utouch_Options::SOURCE_POST );

					echo wp_oembed_get( $utouch_video_oembed, array( 'width' => '1200px' ) );

				} elseif ( 'audio' === $utouch_format ) {
					$utouch_audio_oembed = Utouch::options()->get_option( 'audio_oembed', array(), Utouch_Options::SOURCE_POST );
					echo wp_oembed_get( $utouch_audio_oembed, array(
						'width'  => 'full',
						'height' => 'full'
					) );
				} elseif ( 'standard' === $utouch_format && has_post_thumbnail() ) {
					the_post_thumbnail( 'full-width', array(
						'title' => esc_attr( get_the_title( get_post_thumbnail_id() ) ),
					) );
				} ?>
            </div>
		<?php } ?>
	<?php endif; ?>

	<?php get_template_part( 'parts/post/single', 'content' );?>
</article>

<?php
if ( Utouch::template_post()->show_related ) {
	get_template_part( 'parts/post/navigation' );
} ?>

<?php
if ( $utouch_template_post->show_author_box ) {
	get_template_part( 'parts/section', 'authorbox' );
} ?>
