<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Utouch
 */

$utouch_template_blog = Utouch::template_blog();
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'post-standard post' ); ?>>

	<?php if ( $utouch_template_blog->show_featured && has_post_thumbnail() ) { ?>
		<div class="post-thumb-wrap">
			<div class="post-thumb">
                <a href="<?php the_permalink() ?>">
				<img src="<?php echo esc_url(wp_get_attachment_image_url( get_post_thumbnail_id(), 'utouch-standard-full' )); ?>"
                     alt="<?php echo esc_attr( get_post_meta( get_post_thumbnail_id(), '_wp_attachment_image_alt', true ) ); ?>"
                    title="<?php echo esc_attr( get_the_title(get_post_thumbnail_id()) ); ?>"/>
                </a>
			</div>
		</div>
	<?php } ?>

	<?php get_template_part( 'parts/post/blog', 'content' ) ?>

</article>
