<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Utouch
 */
$utouch_template_blog = Utouch::template_blog();
$utouch_video_oembed  = Utouch::options()->get_option( 'video_oembed', array(), Utouch_Options::SOURCE_POST );
wp_enqueue_script('utouch-reframe');
wp_add_inline_script('utouch-reframe','reframe(document.querySelectorAll(\'.post_format-post-format-video\'));');
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'post-standard video' ); ?>>

	<?php if ( $utouch_template_blog->show_featured && ! empty( $utouch_video_oembed ) ) { ?>
		<div class="post-thumb">
			<?php
			if ( has_post_thumbnail() ) {
				$utouch_post_thumbnail_id = get_post_thumbnail_id( $post );
				$utouch_image_url = wp_get_attachment_image_url( $utouch_post_thumbnail_id, 'utouch-gallery' );
				?>
				<img src="<?php echo esc_url( $utouch_image_url ) ?>" alt="video">
				<div class="overlay-standard"></div>
				<a href="<?php echo esc_url( $utouch_video_oembed ) ?>" class="video-control js-popup-iframe">
                    <img src="<?php echo UTOUCH_THEME_URI . '/images/play.png'; ?>" alt="play">
				</a>
				<?php
			} else {
				echo wp_oembed_get( $utouch_video_oembed, array( 'width' => '1200px' ) );
			}
			?>

		</div>
	<?php } ?>

	<?php get_template_part( 'parts/post/blog', 'content' ) ?>

</article>
